@use 'sass:math';
@use 'sass:map';
@use 'sass:list';


$breakpoints: (
mobile: 575px,
tablet: 768px,
desktop: 991px,
wide: 1199px,
) !default;


@function px2em($px) {
  @if math.is-unitless($px) {
    @return px2em($px * 1px);
}
  // if $px is compatible with em units then return value unchanged
  @if math.compatible($px, 1em) {
    @return $px;
}
  @return math.div($px, 16px) * 1em;
}

@function get-breakpoint-width($name, $breakpoints: $breakpoints) {
  @if map.has-key($breakpoints, $name) {
    @return map.get($breakpoints, $name);
} @else {
  @warn "Breakpoint #{$name} wasn't found in $breakpoints.";
  @return null;
}
}

@mixin phone() {
  @media (max-width: px2em(get-breakpoint-width(mobile, $breakpoints))) {
    @content
  }
}

@mixin tablet() {
  @media (max-width: px2em(get-breakpoint-width(tablet, $breakpoints))) {
    @content
  }
}

@mixin desktop() {
  @media (max-width: px2em(get-breakpoint-width(desktop, $breakpoints))) {
    @content
  }
}

@mixin wide() {
  @media (max-width: px2em(get-breakpoint-width(wide, $breakpoints))) {
    @content
  }
}


@mixin extra() {
  @media (max-width: px2em(1355)) {
    @content
  }
}
